<template>
  <div class="dashboard-container">
    <div class="dashboard-text">此处为下钻地图</div>
    <div id="main" style="width: 100%;height:400px;display:flex;justify-content: center;" />
    <el-button @click="go">进入主页</el-button>
  </div>
</template>

<script>

export default {
  name: 'Dashboard',
  mounted() {
    this.drawChart()
  },
  methods: {
    go() {
      this.$router.push('/main/index')
    },
    drawChart() {
      const myChart = this.$echarts.init(document.getElementById('main'))
      var option = {
        color: ['#2db7f5', '#00ff7f'],
        title: {
          text: 'O3-1H' + '  ' + this.time
        },
        tooltip: {
          trigger: 'axis'
        },
        legend: {
          data: ['预测', '实测']
        },
        grid: {
          left: '3%',
          right: '4%',
          bottom: '3%',
          containLabel: true
        },
        toolbox: {
          feature: {
            saveAsImage: {}
          }
        },
        xAxis: {
          type: 'category',
          axisLabel: {
            interval: 0
          },
          boundaryGap: false,
          data: ['01:00', '02:00', '03:00', '04:00', '05:00', '06:00', '07:00', '08:00', '09:00', '10:00', '11:00', '12:00', '13:00', '14:00', '15:00', '16:00', '17:00', '18:00', '19:00', '20:00', '21:00', '22:00', '23:00', '次日00:00']
        },
        yAxis: {
          type: 'value'
        },
        series: [
          {
            name: '预测',
            type: 'line',
            label: {
              normal: {
                show: true,
                position: 'top'
              }
            },
            itemStyle: {
              normal: {
                lineStyle: {
                  color: '#2db7f5'
                }
              }
            },
            data: this.o31hDataYuce
          },
          {
            name: '实测',
            type: 'line',
            label: {
              normal: {
                show: true,
                position: 'top'
              }
            },
            itemStyle: {
              normal: {
                lineStyle: {
                  color: '#00ff7f'
                }
              }
            },
            data: this.o31hDataShice
          }
        ]
      }
      myChart.setOption(option)
    }
  }
}
</script>

<style lang="scss" scoped>
.dashboard {
  &-container {
    margin: 30px;
  }
  &-text {
    font-size: 30px;
    line-height: 46px;
  }
}
</style>
